%define upstream_name	SVN-Notify-Config
%define upstream_version	0.0911

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Config-driven Subversion notification
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(SVN::Notify)
BuildRequires:	perl(YAML)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Deep)
BuildRequires:  subversion
BuildArch:	noarch


%description
This module is a YAML-based configuration wrapper on SVN::Notify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL installdirs=vendor
./Build

%check
export LC_ALL=C
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README META.yml
%{perl_vendorlib}/SVN
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.91.100-12.mga10
+ Revision: 2213895
- Mageia 10 Mass Rebuild

* Sat Apr 02 2022 umeabot <umeabot> 0.91.100-11.mga9
+ Revision: 1840226
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.91.100-10.mga8
+ Revision: 1497234
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.91.100-9.mga7
+ Revision: 1271258
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.91.100-8.mga6
+ Revision: 1033571
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.91.100-7.mga6
+ Revision: 937628
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.91.100-6.mga6
+ Revision: 937175
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.91.100-5.mga5
+ Revision: 748898
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.91.100-4.mga5
+ Revision: 686160
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.91.100-3.mga4
+ Revision: 514510
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.91.100-2.mga3
+ Revision: 372485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.91.100-1.mga1
+ Revision: 28753
- mageia rebuild
- imported package perl-SVN-Notify-Config


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.91.100-1mdv2010.0
+ Revision: 404427
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09.11-2mdv2009.0
+ Revision: 268720
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09.11-1mdv2009.0
+ Revision: 216488
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09.07-2mdv2008.1
+ Revision: 138070
- fix tests

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09.07-1mdv2007.0
+ Revision: 86579
- new version

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09.06-2mdv2007.1
+ Revision: 84675
- new release
- switch to Module::Build based build
- new version

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdv2007.0
+ Revision: 54098
- 0.08
- disable test, are bad
- Import perl-SVN-Notify-Config

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.07-1mdv2007.0
- 0.07

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdk
- buildrequires perl-YAML

* Tue Nov 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- first mdk release

